Synchronously delete a Room. Participants from that room will be kicked out, they won’t be able to join that room anymore, and you won’t be charged anymore for that room.
DELETE
/
rooms
/
{room_id}
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
await client.rooms.delete('0ccc7b54-4df3-4bca-a65a-3da1ecc777f0');import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
client.rooms.delete(
"0ccc7b54-4df3-4bca-a65a-3da1ecc777f0",
)package main
import (
"context"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.Rooms.Delete(context.TODO(), "0ccc7b54-4df3-4bca-a65a-3da1ecc777f0")
if err != nil {
panic(err.Error())
}
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.rooms.RoomDeleteParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
client.rooms().delete("0ccc7b54-4df3-4bca-a65a-3da1ecc777f0");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
result = telnyx.rooms.delete("0ccc7b54-4df3-4bca-a65a-3da1ecc777f0")
puts(result)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$result = $client->rooms->delete('0ccc7b54-4df3-4bca-a65a-3da1ecc777f0');
var_dump($result);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx rooms delete \
--api-key 'My API Key' \
--room-id 0ccc7b54-4df3-4bca-a65a-3da1ecc777f0curl --request DELETE \
--url https://api.telnyx.com/v2/rooms/{room_id} \
--header 'Authorization: Bearer <token>'{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of a room.
Example:
"0ccc7b54-4df3-4bca-a65a-3da1ecc777f0"
Response
The resource was deleted successfully.
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
await client.rooms.delete('0ccc7b54-4df3-4bca-a65a-3da1ecc777f0');import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
client.rooms.delete(
"0ccc7b54-4df3-4bca-a65a-3da1ecc777f0",
)package main
import (
"context"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.Rooms.Delete(context.TODO(), "0ccc7b54-4df3-4bca-a65a-3da1ecc777f0")
if err != nil {
panic(err.Error())
}
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.rooms.RoomDeleteParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
client.rooms().delete("0ccc7b54-4df3-4bca-a65a-3da1ecc777f0");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
result = telnyx.rooms.delete("0ccc7b54-4df3-4bca-a65a-3da1ecc777f0")
puts(result)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$result = $client->rooms->delete('0ccc7b54-4df3-4bca-a65a-3da1ecc777f0');
var_dump($result);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx rooms delete \
--api-key 'My API Key' \
--room-id 0ccc7b54-4df3-4bca-a65a-3da1ecc777f0curl --request DELETE \
--url https://api.telnyx.com/v2/rooms/{room_id} \
--header 'Authorization: Bearer <token>'{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}